﻿using GrapeCity.ActiveReports;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Xml;

namespace RPXConvertToRDL
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void MainForm_Load(object sender, EventArgs e)
        {
            SectionReport report = GetRpxReport();
            PageReport pageReport = ConvertToRdlReport(report);
            pageReport.Save(new System.IO.FileInfo(Application.StartupPath + "\\RDLReport.rdlx"));
            viewer1.LoadDocument(pageReport.Document);
        }

        private static SectionReport GetRpxReport()
        {
            SectionReport report = new SectionReport();
            report.LoadLayout(XmlReader.Create(Application.StartupPath + @"\..\..\CategoryReport.rpx"));

            GrapeCity.ActiveReports.Data.OleDBDataSource oleDBDataSource1 = new GrapeCity.ActiveReports.Data.OleDBDataSource();
            oleDBDataSource1.CommandText = "Select * from Categories";
            oleDBDataSource1.ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + Application.StartupPath + "\\..\\..\\data\\NWind.mdb;Persis" +
    "t Security Info=False";
            oleDBDataSource1.SQL = "Select * from Categories";
            report.DataSource = oleDBDataSource1;
            return report;
        }

        private static PageReport ConvertToRdlReport(SectionReport report)
        {
            GrapeCity.ActiveReports.Imports.Rpx.RpxConverter converter = new GrapeCity.ActiveReports.Imports.Rpx.RpxConverter();
            PageReport pageReport = converter.ConvertToRdl(report, true);
            return pageReport;
        }
    }
}
